@ECHO OFF
ECHO * This batch file will clean up after a full uninstall of RFT and RMT
ECHO * It allows the environment variables rationalsdp_dir and RFTcustomization_dir
ECHO * to be pre-set; if they are not defined 
ECHO * this batch file uses  C:\Program Files\IBM\Rational\SDP\6.0 and
ECHO * c:\Documents and Settings\All Users\Application Data\IBM\RFT\customization

REM - frameworkdir: 					The directory of the VS.Net 2.0 Framework
REM - regasm:							The regasm.exe program
SET frameworkdir=%windir%\Microsoft.Net\Framework\v1.1.4322
SET regasm=%frameworkdir%\regasm.exe

IF %rationalsdp_dir% == "" (
	SET rationalsdp_dir="C:\Program Files\IBM\Rational\SDP\6.0"
)

IF %RFTcustomization_dir% == "" (
	SET RFTcustomization_dir="c:\Documents and Settings\All Users\Application Data\IBM\RFT\customization"
)

IF NOT EXIST %rationalsdp_dir%\. (
	ECHO Warning: Rational SDP 6.0 Install Location not found
) ELSE (
	CALL :quietRmdir %rationalsdp_dir%\rft_prod
	CALL :quietRmdir %rationalsdp_dir%\rmt_prod
	CALL :quietRmdir %rationalsdp_dir%\eclipse\jre.601bkup
	CALL :quietRmdir %rationalsdp_dir%\FunctionalTester
	CALL :quietRmdir %rationalsdp_dir%\ManualTest
	CALL :quietRmdir %rationalsdp_dir%\FTSamples
	CALL :quietDel %rationalsdp_dir%\eclipse\links\com.rational.test.ft_6.1.0.link

	CALL :quietRmdir %rationalsdp_dir%\updater\workspace\proxies\eclipse\features\updater.rft_specific.agent.win32.6101_1.0.0
	CALL :quietRmdir %rationalsdp_dir%\updater\workspace\proxies\eclipse\features\updater.rft_specific.agent.win32.611_1.0.0
	CALL :quietRmdir %rationalsdp_dir%\updater\workspace\proxies\eclipse\features\updater.rft_specific.agt.common.6111_1.0.0
	CALL :quietRmdir %rationalsdp_dir%\updater\workspace\proxies\eclipse\features\updater.rft_specific.agt.win32.6111_1.0.0
	CALL :quietRmdir %rationalsdp_dir%\updater\workspace\proxies\eclipse\features\updater.rft_specific.agt.win32.install.6111_1.0.0
	CALL :quietRmdir %rationalsdp_dir%\updater\workspace\proxies\eclipse\features\updater.rft_specific.agt.win32.uninstall.6111_1.0.0
	CALL :quietRmdir %rationalsdp_dir%\updater\workspace\proxies\eclipse\features\updater.rft_specific.common.6111_1.0.0
	CALL :quietRmdir %rationalsdp_dir%\updater\workspace\proxies\eclipse\features\updater.rft_specific.csdevrpt_shared.plugins.6111_1.0.0
	CALL :quietRmdir %rationalsdp_dir%\updater\workspace\proxies\eclipse\features\updater.rft_specific.hyades.6101_1.0.0
	CALL :quietRmdir %rationalsdp_dir%\updater\workspace\proxies\eclipse\features\updater.rft_specific.hyades.611_1.0.0
	CALL :quietRmdir %rationalsdp_dir%\updater\workspace\proxies\eclipse\features\updater.rft_specific.initialize.6101_1.0.0
	CALL :quietRmdir %rationalsdp_dir%\updater\workspace\proxies\eclipse\features\updater.rft_specific.initialize.611.if001_1.0.0
	CALL :quietRmdir %rationalsdp_dir%\updater\workspace\proxies\eclipse\features\updater.rft_specific.initialize.611_1.0.0
	CALL :quietRmdir %rationalsdp_dir%\updater\workspace\proxies\eclipse\features\updater.rft_specific.initialize.6111_1.0.0
	CALL :quietRmdir %rationalsdp_dir%\updater\workspace\proxies\eclipse\features\updater.rft_specific.java.6101_1.0.0
	CALL :quietRmdir %rationalsdp_dir%\updater\workspace\proxies\eclipse\features\updater.rft_specific.java.611_1.0.0
	CALL :quietRmdir %rationalsdp_dir%\updater\workspace\proxies\eclipse\features\updater.rft_specific.rac.601.win32_1.0.0
	CALL :quietRmdir %rationalsdp_dir%\updater\workspace\proxies\eclipse\features\updater.rft_specific.radrpt_shared.plugins.6111_1.0.0
	CALL :quietRmdir %rationalsdp_dir%\updater\workspace\proxies\eclipse\features\updater.rft_specific.rwdrpt_shared.plugins.6111_1.0.0
	CALL :quietRmdir %rationalsdp_dir%\updater\workspace\proxies\eclipse\features\updater.rft_specific.siebel.java.611_1.0
	CALL :quietRmdir %rationalsdp_dir%\updater\workspace\proxies\eclipse\features\updater.rft_specific.siebel.java.611_1.0.0
	CALL :quietRmdir %rationalsdp_dir%\updater\workspace\proxies\eclipse\features\updater.rft_specific.siebel.net.611_1.0.0
	CALL :quietRmdir %rationalsdp_dir%\updater\workspace\proxies\eclipse\features\updater.rft_specific.siebel.net.611_1.0.0.0
	CALL :quietRmdir %rationalsdp_dir%\updater\workspace\proxies\eclipse\features\updater.rft_specific.siebel.relocation.611_1.0.0
	CALL :quietRmdir %rationalsdp_dir%\updater\workspace\proxies\eclipse\features\updater.rft_specific.updater.win32.6101_1.0.0
	CALL :quietRmdir %rationalsdp_dir%\updater\workspace\proxies\eclipse\features\updater.rft_specific.updater.win32.611_1.0.0
	CALL :quietRmdir %rationalsdp_dir%\updater\workspace\proxies\eclipse\features\updater.rft_specific.win32.6111_1.0.0
	CALL :quietRmdir %rationalsdp_dir%\updater\workspace\proxies\eclipse\features\updater.rft_specific.win32.components.611.if001_1.0.0
	CALL :quietRmdir %rationalsdp_dir%\updater\workspace\proxies\eclipse\features\updater.rft_specific.win32.install.611.if001_1.0.0
	CALL :quietRmdir %rationalsdp_dir%\updater\workspace\proxies\eclipse\features\updater.rft_specific.win32.install.6111_1.0.0
	CALL :quietRmdir %rationalsdp_dir%\updater\workspace\proxies\eclipse\features\updater.rft_specific.win32.uninstall.611.if001_1.0.0
	CALL :quietRmdir %rationalsdp_dir%\updater\workspace\proxies\eclipse\features\updater.rft_specific.win32.uninstall.6111_1.0.0
	CALL :quietRmdir %rationalsdp_dir%\updater\workspace\proxies\eclipse\features\updater.rft_specific.win32agt.components.611.if001_1.0.0
	CALL :quietRmdir %rationalsdp_dir%\updater\workspace\proxies\eclipse\features\updater.rft_specific.win32agt.install.611.if001_1.0.0
	CALL :quietRmdir %rationalsdp_dir%\updater\workspace\proxies\eclipse\features\updater.rft_specific.win32agt.uninstall.611.if001_1.0.0
	CALL :quietRmdir %rationalsdp_dir%\updater\workspace\proxies\eclipse\features\updater.rmt.test.6100.if001_1.0.0
	CALL :quietRmdir %rationalsdp_dir%\updater\workspace\proxies\eclipse\features\updater.rmt.test.6100.if002_1.0.0
	CALL :quietRmdir %rationalsdp_dir%\updater\workspace\proxies\eclipse\features\updater.rmt_specific.6111_1.0.0
	CALL :quietRmdir %rationalsdp_dir%\updater\workspace\proxies\eclipse\features\updater.rmt_specific.doc.611_1.0.0
	CALL :quietRmdir %rationalsdp_dir%\updater\workspace\proxies\eclipse\features\updater.rmt_specific.emf.common.6101_1.0.0
	CALL :quietRmdir %rationalsdp_dir%\updater\workspace\proxies\eclipse\features\updater.rmt_specific.emf.common.611_1.0.0
	CALL :quietRmdir %rationalsdp_dir%\updater\workspace\proxies\eclipse\features\updater.rmt_specific.fixes.6101_1.0.0
	CALL :quietRmdir %rationalsdp_dir%\updater\workspace\proxies\eclipse\features\updater.rmt_specific.fixes.611_1.0.0
	CALL :quietRmdir %rationalsdp_dir%\updater\workspace\proxies\eclipse\features\updater.rmt_specific.hyades.6101_1.0.0
	CALL :quietRmdir %rationalsdp_dir%\updater\workspace\proxies\eclipse\features\updater.rmt_specific.hyades.611_1.0.0
	CALL :quietRmdir %rationalsdp_dir%\updater\workspace\proxies\eclipse\features\updater.rmt_specific.IES.delta.6101_1.0.0
	CALL :quietRmdir %rationalsdp_dir%\updater\workspace\proxies\eclipse\features\updater.rmt_specific.IES.delta.611_1.0.0
	CALL :quietRmdir %rationalsdp_dir%\updater\workspace\proxies\eclipse\features\updater.rmt_specific.install.6111_1.0.0
	CALL :quietRmdir %rationalsdp_dir%\updater\workspace\proxies\eclipse\features\updater.rmt_specific.rac.601.win32_1.0.0
	CALL :quietRmdir %rationalsdp_dir%\updater\workspace\proxies\eclipse\features\updater.rmt_specific.uninstall.6111_1.0.0
	CALL :quietRmdir %rationalsdp_dir%\updater\workspace\proxies\eclipse\features\updater.rmt_specific.updater.6101_1.0.0
	CALL :quietRmdir %rationalsdp_dir%\updater\workspace\proxies\eclipse\features\updater.rmt_specific.updater.611_1.0.0
	CALL :quietRmdir %rationalsdp_dir%\updater\workspace\proxies\eclipse\features\updater.rmt_specific.wb.common.6101_1.0.0
	CALL :quietRmdir %rationalsdp_dir%\updater\workspace\proxies\eclipse\features\updater.rmt_specific.wb.common.611_1.0.0
	CALL :quietRmdir %rationalsdp_dir%\updater\workspace\proxies\eclipse\features\updater.rmt_specific.XSD.6101_1.0.0
	CALL :quietRmdir %rationalsdp_dir%\updater\workspace\proxies\eclipse\features\updater.rmt_specific.XSD.611_1.0.0
)


IF NOT EXIST %RFTcustomization_dir%\. (
	ECHO Warning: RFT Customization Directory not found
) ELSE (
	CALL :quietRegasmAndDel %RFTcustomization_dir%\SiebelIEHelper.dll
	CALL :quietRegasmAndDel %RFTcustomization_dir%\SiebelNotificationListener.dll
	CALL :quietDel %RFTcustomization_dir%\SiebelDomainProxies.dll 
	CALL :quietDel %RFTcustomization_dir%\Interop.Shdocvw.dll 
	CALL :quietDel %RFTcustomization_dir%\Interop.cascomLib.dll 
	CALL :quietDel %RFTcustomization_dir%\Interop.mshtml.dll 
	CALL :quietDel %RFTcustomization_dir%\rational_ft_siebel.jar
	CALL :quietDel %RFTcustomization_dir%\rational_ft_siebel.rftcust
)

gacutility -a SiebelIEHelper.dll -u
gacutility -a SiebelNotificationListener.dll -u
gacutility -a SiebelDomainProxies.dll -u
gacutility -a Interop.Shdocvw.dll -u
gacutility -a Interop.cascomLib.dll -u
gacutility -a Interop.mshtml.dll -u

CALL uvs2003
CALL uvs2005

gacutility -a policy.6.1.rtxftnet.dll -u
gacutility -a rtxftnet.dll -u
GOTO :EOF


:quietRegasmAndDel
	if EXIST %1 (
		%regasm% /unregister %1
		DEL /q %1
	)
	GOTO :EOF

:quietRmdir
	if EXIST %1 (
		RMDIR /s /q %1
	)
	GOTO :EOF

:quietDel
	if EXIST %1 (
		DEL /q %1
	)
	GOTO :EOF


