@ECHO OFF
ECHO * This batch file (%0) will remove Rational Functional Tester support from Microsoft Visual Studio .Net 2003. 

REM - The local registry variables below indicate the dependencies of the installation.
REM - vs2003_private_assemblies_dir: 	The Visual Studio 8 (Whidbey) directory for private assemblies
REM - frameworkdir: 					The directory of the VS.Net 1.1 Framework
REM - regasm:							The regasm.exe program
REM - regsvr32:							The regsvr32.exe program (should be on path in c:\windows\system32)

SET vs2003_IDE_dir=c:\program files\microsoft visual studio .Net 2003\common7\IDE
SET vs2003_private_assemblies_dir=%vs2003_IDE_dir%\PrivateAssemblies
SET frameworkdir=%windir%\Microsoft.Net\Framework\v1.1.4322
SET regasm=%frameworkdir%\regasm.exe
SET regsvr32=regsvr32.exe


IF NOT EXIST %frameworkdir%\. (
	ECHO !!!! Could not find directory %frameworkdir%
	GOTO :EOF
)

IF NOT EXIST %regasm% (
	ECHO **** Error: cannot find %regasm%
	goto :EOF
)

IF NOT EXIST RftDpEdit.dll (
	ECHO **** Error: cannot find RftDpEdit.dll {need it to run regsvr32 /u}
	goto :EOF
)

IF NOT EXIST RftVs.dll (
	ECHO **** Error: cannot find RftVs.dll {need it to run regsvr32 /u}
	goto :EOF
)

IF NOT EXIST AddHelpCollection.exe (
	ECHO **** Error: cannot find AddHelpCollection.exe
	goto :EOF
)

"%regsvr32%" /u /s .\RftVs.dll
"%regsvr32%" /u /s .\RftDpEdit.dll


IF EXIST "%vs2003_private_assemblies_dir%\." (
	ECHO Found VS.Net Private Assemblies directory: %vs2003_private_assemblies_dir%

	IF EXIST "%vs2003_private_assemblies_dir%\RftVsNet.dll" (
		ECHO unregister and remove RftVsNet.DLL 
		"%regasm%" /unregister "%vs2003_private_assemblies_dir%\rftvsnet.dll"
		DEL /S /Q  "%vs2003_private_assemblies_dir%\rftvsnet.dll"
	) ELSE (
		ECHO Did not find RftVsNet.DLL 
	)
	IF EXIST "%vs2003_private_assemblies_dir%\rtclearcaseif.dll" (
		ECHO  remove rtclearcaseif.dll
		DEL /S /Q  "%vs2003_private_assemblies_dir%\rtclearcaseif.dll"
	) ELSE (
		ECHO did not find rtclearcaseif.dll
	)
) ELSE (
	ECHO Did not find VS.Net Private Assemblies directory: %vs2003_private_assemblies_dir%
)

AddHelpCollection.exe -removeplugin "MS.VSCC.2003" -childnamespace "IBM.RATIONAL.IVORY"
AddHelpCollection.exe -removeplugin "MS.VSCC" -childnamespace "IBM.RATIONAL.IVORY"
AddHelpCollection.exe -removenamespace "IBM.RATIONAL.IVORY"

AddHelpCollection.exe -removeplugin "IBM.RATIONAL.IVORY" -childnamespace "IBM.RATIONAL.IVORY.SIEBEL"
AddHelpCollection.exe -removenamespace "IBM.RATIONAL.IVORY.SIEBEL"


if EXIST "%vs2003_IDE_dir%\devenv.exe" (
	"%vs2003_IDE_dir%\devenv.exe" /setup
)
GOTO :EOF

:quietRegasmAndDel
	if EXIST %1 (
		%regasm% /unregister %1
		DEL /q %1
	)
	GOTO :EOF

:quietRmdir
	if EXIST %1 (
		RMDIR /s /q %1
	)
	GOTO :EOF

:quietDel
	if EXIST %1 (
		DEL /q %1
	)
	GOTO :EOF


