@ECHO OFF
ECHO * This batch file (%0) will remove Rational Functional Tester support from Microsoft Visual Studio 8. 

REM - The local registry variables below indicate the dependencies of the installation.
REM - vs2005_private_assemblies_dir: 	The Visual Studio 8 (Whidbey) directory for private assemblies
REM - frameworkdir: 					The directory of the VS.Net 2.0 Framework
REM - regasm:							The regasm.exe program
REM - regsvr32:							The regsvrr32.exe program (should be on path in c:\windows\system32)

SET vs2005_IDE_dir=c:\program files\microsoft visual studio 8\common7\IDE
SET vs2005_private_assemblies_dir=%vs2005_IDE_dir%\PrivateAssemblies
SET frameworkdir=%windir%\Microsoft.Net\Framework\v2.0.50727
SET regasm=%frameworkdir%\regasm.exe
SET regsvr32=regsvr32.exe


IF NOT EXIST %frameworkdir%\. (
	ECHO !!!! Could not find directory %frameworkdir%
	GOTO :EOF
)

IF NOT EXIST %regasm% (
	ECHO **** Error: cannot find %regasm%
	goto :EOF
)

IF NOT EXIST RftDpEdit8.dll (
	ECHO **** Error: cannot find RftDpEdit8.dll {need it to run regsvr32 /u}
	goto :EOF
)

IF NOT EXIST RftVs8.dll (
	ECHO **** Error: cannot find RftVs8.dll {need it to run regsvr32 /u}
	goto :EOF
)

IF NOT EXIST AddHelpCollection.exe (
	ECHO **** Error: cannot find AddHelpCollection.exe
	goto :EOF
)

"%regsvr32%" /u /s .\RftVs8.dll
"%regsvr32%" /u /s .\RftDpEdit8.dll


IF EXIST "%vs2005_private_assemblies_dir%\." (
	ECHO Found VS.Net Private Assemblies directory: %vs2005_private_assemblies_dir%

	CALL :quietRegasmAndDel "%vs2005_private_assemblies_dir%\RftVsNet.dll"
	CALL :quietRegasmAndDel "%vs2005_private_assemblies_dir%\rtclearcaseif.dll" (

) ELSE (
	ECHO Did not find VS.Net Private Assemblies directory: %vs2005_private_assemblies_dir%
)

AddHelpCollection.exe -removeplugin "MS.VSCC.v80" -childnamespace "IBM.RATIONAL.IVORY.MSv2005"
AddHelpCollection.exe -removenamespace "IBM.RATIONAL.IVORY.MSv2005"

AddHelpCollection.exe -removeplugin "IBM.RATIONAL.IVORY.MSv2005" -childnamespace "IBM.RATIONAL.IVORY.SIEBEL.MSv2005"
AddHelpCollection.exe -removenamespace "IBM.RATIONAL.IVORY.SIEBEL.MSv2005"

if EXIST "%vs2005_IDE_dir%\devenv.exe" (
	"%vs2005_IDE_dir%\devenv.exe" /setup
)
GOTO :EOF

:quietRegasmAndDel
	if EXIST %1 (
		%regasm% /unregister %1
		DEL /q %1
	)
	GOTO :EOF

:quietRmdir
	if EXIST %1 (
		RMDIR /s /q %1
	)
	GOTO :EOF

:quietDel
	if EXIST %1 (
		DEL /q %1
	)
	GOTO :EOF


